| Bsoft 2.0.5 Bernard's software package

Functions | Variables
blocfilt.cpp File Reference

Local resolution analysis. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Local resolution analysis.

Author
  Giovanni Cardone and Bernard Heymann

Date
  Created: 20070611
  Modified: 20170206 (BH)

Definition in file blocfilt.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 42 of file blocfilt.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: blocfilt [options] input.img output.img",
"----------------------------------------------",
" ",
"Actions:",
"-box 20 Kernel size for filtering according to local resolution (voxels).",
" ",
"Parameters:",
"-verbose 7 Verbosity of output.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; a single value can be given).",
"-origin 0.8,-10,15.7 Set the origin (default from input image).",
"-symmetry D5 Point group symmetry.",
"-edge 10 Pixels at the edge of the whole map to exclude from analysis (default: half the size of the resolution box).",
" ",
"Input:",
"-Resolution locres.tif Resolution map to use for local filtering.",
"-Mask mask.tif,2 Mask file to use for limiting the analysis to a defined region",
" and level value to use (optional, default: all but zero).",
" ",
NULL
}

Definition at line 19 of file blocfilt.cpp.

## ◆ verbose

int verbose